# $Revision: 1.15 $, $Date: 2011/11/03 06:34:50 $
%define		status		stable
%define		pearname	HTTP_Request2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Provides an easy way to perform HTTP requests
Summary(pl.UTF-8):	%{pearname} - dostarcza łatwą w użyciu metodę do wykonywania zapytań HTTP
Name:		php-pear-%{pearname}
Version:	2.0.0
Release:	2
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	e8598d228909213cb829fe617247b199
URL:		http://pear.php.net/package/HTTP_Request2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_URL2 >= 2.0.0
Suggests:	php-curl
Suggests:	php-fileinfo
Suggests:	php-openssl
Suggests:	php-zlib
Obsoletes:	php-pear-HTTP_Request2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP5 rewrite of HTTP_Request package. Provides cleaner API and
pluggable adapters.

Currently available are:
 - Socket adapter, based on old HTTP_Request code,
 - Curl adapter, wraps around PHP's cURL extension,
 - Mock adapter, to use for testing packages dependent on
   HTTP_Request2.

Supports POST requests with data and file uploads, authentication,
cookies, proxies, gzip and deflate encodings, monitoring the request
progress with Observers.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Port klasy HTTP_Request do PHP5. Udostępnia czystsze API oraz
dołączalne adaptery.

Obecnie dostępne są:
 - adapter oparty na gniazdach, na podstawie starego kodu HTTP_Request,
 - adapter Curl,
 - adapter Mock, do testowania pakietów korzystających z HTTP_Request2.

Klasa ta wspiera żądania POST z dołączonymi danymi oraz plikami,
autentykację, ciastka (cookies), serwery proxy, kompresję gzip oraz
deflate encoding, oraz monitorowanie żądań za pomocą obserwatorów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/data/HTTP_Request2/generate-list.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/Request2
%{php_pear_dir}/HTTP/Request2.php

%{php_pear_dir}/data/%{pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Request2.spec,v $
Revision 1.15  2011/11/03 06:34:50  glen
- up to 2.0.0-stable

Revision 1.14  2011/07/31 19:56:27  glen
- release 3

Revision 1.13  2011/07/31 14:19:49  glen
- release 2

Revision 1.12  2011/05/22 12:33:27  glen
- up to 2.0.0RC1

Revision 1.11  2011/04/25 08:45:43  glen
- up to beta3

Revision 1.10  2011/03/01 06:28:36  glen
- release 2

Revision 1.9  2011/02/28 07:33:43  glen
- up to 2.0.0beta1

Revision 1.8  2011/02/27 11:42:53  glen
- updated to: 0.6.0

Revision 1.7  2011/01/23 01:03:14  sparky
- dropped -tests subpackage

Revision 1.6  2010/08/22 08:51:10  glen
- ensure rpmbuild macros present

Revision 1.5  2010/08/21 19:08:00  glen
- updated deps with pearize.sh
- release 2

Revision 1.4  2010/08/20 12:59:43  glen
- updated to: 0.5.2

Revision 1.3  2009/02/01 18:05:41  adamg
- updated to 0.3.0

Revision 1.2  2009/01/11 00:19:14  adamg
- updated to 0.2.0

Revision 1.1  2008/12/27 01:01:25  adamg
- new
